/**
 * Copyright (C) 2008 Gauvain Pocentek <gpocentek@linutop.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LTOP_VIDEO_H__
#define __LTOP_VIDEO_H__

#include "ltop-media.h"

G_BEGIN_DECLS

typedef struct _LtopVideoPrivate LtopVideoPrivate;
typedef struct _LtopVideoClass   LtopVideoClass;
typedef struct _LtopVideo        LtopVideo;

#define LTOP_TYPE_VIDEO            (ltop_video_get_type ())
#define LTOP_VIDEO(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), LTOP_TYPE_VIDEO, LtopVideo))
#define LTOP_VIDEO_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), LTOP_TYPE_VIDEO, LtopVideoClass))
#define LTOP_IS_VIDEO(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), LTOP_TYPE_VIDEO))
#define LTOP_IS_VIDEO_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), LTOP_TYPE_VIDEO))
#define LTOP_VIDEO_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), LTOP_TYPE_VIDEO, LtopVideoClass))

struct _LtopVideoClass
{
  GObjectClass __parent__;
};

struct _LtopVideo
{
  GObject __parent__;

  /*< priv >*/
  LtopVideoPrivate *priv;
};

GType    ltop_video_get_type (void) G_GNUC_CONST G_GNUC_INTERNAL;

GObject *ltop_video_new      (const gchar *filename) G_GNUC_MALLOC G_GNUC_INTERNAL;

G_END_DECLS

#endif /* __LTOP_VIDEO_H__ */
